## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           jello
Version:        1.5.2
Release:        %autorelease
Summary:        Query JSON at the command line with Python syntax

License:        MIT
URL:            https://github.com/kellyjonbrazil/jello
# GitHub archive contains tests; PyPI sdist does not.
Source0:        %{url}/archive/v%{version}/jello-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Query, filter, and transform JSON and JSON Lines at the command line with
Python syntax.


%prep
%autosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jello

install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 man/*


%check
PYTHONPATH='%{buildroot}%{python3_sitelib}' ./runtests.sh


%files -f %{pyproject_files}
# pyproject_files handles LICENSE; verify with “rpm -qL -p …”
%doc ADVANCED_USAGE.md
%doc CHANGELOG
%doc README.md

%{_bindir}/jello
%{_mandir}/man1/jello.1*


%changelog
* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.5.2-2
- Drop duplicate dependency on Pygments

* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.5.2-1
- Initial package (close RHBZ#2059247)
